Bug 495882 - Review Request: perl-POE-Filter-Transparent-SMTP - A POE filter for SMTP
Review Request: perl-POE-Filter-Transparent-SMTP - A POE filter for SMTP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 495885
  Show dependency treegraph
 
Reported: 2009-04-15 08:48 EDT by Yanko Kaneti
Modified: 2009-06-04 13:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 13:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2009-04-15 08:48:48 EDT
Spec URL: http://www.declera.com/~yaneti/perl-POE-Filter-Transparent-SMTP/perl-POE-Filter-Transparent-SMTP.spec
SRPM URL: http://www.declera.com/~yaneti/perl-POE-Filter-Transparent-SMTP/perl-POE-Filter-Transparent-SMTP-0.2-1.fc10.src.rpm
Description: 
POE data filter which aims to make SMTP data transparent 
just before going onto the wire as per RFC 821 Section 4.5.2.
Comment 1 Chris Weyl 2009-04-16 01:01:36 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=1301504
Comment 2 Parag AN(पराग) 2009-04-16 01:06:12 EDT
is yaneti sponsored in packager group? I did search in packager for submitter  but didn't find any information.
Comment 3 Chris Weyl 2009-04-16 01:06:19 EDT
I note that the LICENSE file is executable; please remove this bit before
importing/building.  (Note also the rpmlint warning on it.)

Other than that, looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1301504

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
4e4f596fdd81d0c85f6f7359281903b4446b7f80 POE-Filter-Transparent-SMTP-0.2.tar.gz
4e4f596fdd81d0c85f6f7359281903b4446b7f80 POE-Filter-Transparent-SMTP-0.2.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-POE-Filter-Transparent-SMTP-0.2-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-POE-Filter-Transparent-SMTP-0.2-1.fc10.src.rpm
====> requires for perl-POE-Filter-Transparent-SMTP-0.2-1.fc10.src.rpm
perl(POE)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

=====> perl-POE-Filter-Transparent-SMTP-0.2-1.fc10.noarch.rpm <=====
====> rpmlint
perl-POE-Filter-Transparent-SMTP.noarch: W: spurious-executable-perm /usr/share/doc/perl-POE-Filter-Transparent-SMTP-0.2/LICENSE
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-POE-Filter-Transparent-SMTP-0.2-1.fc10.noarch.rpm
perl(POE::Filter::Transparent::SMTP) = 0.2
perl-POE-Filter-Transparent-SMTP = 0.2-1.fc10
====> requires for perl-POE-Filter-Transparent-SMTP-0.2-1.fc10.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(Data::Dumper)  
perl(POE::Filter::Line)  
perl(strict)  
perl(warnings)  

APPROVED (provided LICENSE is made non-executable)
Comment 4 Chris Weyl 2009-04-16 01:22:26 EDT
(In reply to comment #2)
> is yaneti sponsored in packager group? I did search in packager for submitter 
> but didn't find any information.  

Erm... good question.  Yanko, are you sponsored?
Comment 5 Parag AN(पराग) 2009-04-16 01:35:57 EDT
When I checked yaneti username on IRC with zodbot I see not a single approved group for this user.
He need to first get approved for cla_done and cla_fedora.
Comment 6 Yanko Kaneti 2009-04-16 01:47:45 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > is yaneti sponsored in packager group? I did search in packager for submitter 
> > but didn't find any information.  
> 
> Erm... good question.  Yanko, are you sponsored?  

Nope, sorry. This review submission as well as my recent others were more for
"documentation" purposes. I happen to need rpms of these for work related
reasons and now that I made them I might as well post them somewhere. The
package review queue is the place I personally check first if something is not
already packaged, so it seems like a good place to put these. I'll be happy if
someone jumps in to maintain them...
Comment 8 Chris Weyl 2009-04-18 20:23:56 EDT
(In reply to comment #6)
> (In reply to comment #4)
> > Erm... good question.  Yanko, are you sponsored?  
> 
> Nope, sorry. This review submission as well as my recent others were more for
> "documentation" purposes. I happen to need rpms of these for work related
> reasons and now that I made them I might as well post them somewhere. The
> package review queue is the place I personally check first if something is not
> already packaged, so it seems like a good place to put these. I'll be happy if
> someone jumps in to maintain them...  

Do you want to be sponsored?  If so, I'll take a look through your other submissions and if things look good, we can work on that...
Comment 9 Yanko Kaneti 2009-04-19 04:03:45 EDT
(In reply to comment #8)
> (In reply to comment #6)
> > (In reply to comment #4)
> > > Erm... good question.  Yanko, are you sponsored?  
> > 
> > Nope, sorry. This review submission as well as my recent others were more for
> > "documentation" purposes. I happen to need rpms of these for work related
> > reasons and now that I made them I might as well post them somewhere. The
> > package review queue is the place I personally check first if something is not
> > already packaged, so it seems like a good place to put these. I'll be happy if
> > someone jumps in to maintain them...  
> 
> Do you want to be sponsored?  If so, I'll take a look through your other
> submissions and if things look good, we can work on that...  

Ok. Let's try that. I've massaged my other submissions (listed below) and...ahem.. completed the CLA. 

bug 495888  perl-POE-Component-Log4perl
bug 495885  perl-POE-Component-Client-SMTP (depends on this one)
bug 494986  mysqludf_xql 

Thanks
Comment 10 Mamoru TASAKA 2009-05-23 12:40:26 EDT
Chris, are you going to sponsor Yanko?
Comment 11 Mamoru TASAKA 2009-06-03 14:16:21 EDT
Removing NEEDSPONSOR.

Yanko, now you can make CVS request for this package.
Comment 12 Yanko Kaneti 2009-06-03 15:23:18 EDT
New Package CVS Request
=======================
Package Name: perl-POE-Filter-Transparent-SMTP
Short Description: A POE filter for SMTP
Owners: yaneti
Branches: F-10 F-11
InitialCC: perl-sig
Comment 13 Jason Tibbitts 2009-06-04 11:40:21 EDT
CVS done.
Comment 14 Yanko Kaneti 2009-06-04 13:19:23 EDT
Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.